default:
  version: VERSION
  css:
    theme:
      css/fpdi-print.css: {}

pdf.js:
  version: v4.2.67
  remote: https://github.com/mozilla/pdf.js
  license:
    name: MIT
    url: https://github.com/mozilla/pdf.js/blob/master/LICENSE
    gpl-compatible: true
  js:
    //cdnjs.cloudflare.com/ajax/libs/pdf.js/4.2.67/pdf.min.mjs: { type: external, attributes: { type: module, crossorigin: anonymous} }
  css:
    theme:
      //cdnjs.cloudflare.com/ajax/libs/pdf.js/4.2.67/pdf_viewer.min.css: { type: external, minified: true}

ace:
  version: 1.33.1
  remote: https://ace.c9.io
  license:
    name: MIT
    url: https://github.com/ajaxorg/ace/blob/master/LICENSE
    gpl-compatible: true
  js:
    //cdnjs.cloudflare.com/ajax/libs/ace/1.33.1/ace.min.js: { external: true }

js-yaml:
  version: 4.1.0
  remote: https://github.com/nodeca/js-yaml
  license:
    name: MIT
    url: https://github.com/nodeca/js-yaml/blob/master/LICENSE
    gpl-compatible: true
  js:
    //cdnjs.cloudflare.com/ajax/libs/js-yaml/4.1.0/js-yaml.min.js: { external: true }

jquery-ui:
  js:
    //code.jquery.com/ui/1.13.3/jquery-ui.js: { external: true, minified: true }

fpdi_print:
  js:
    js/pdfi.js: { attributes: { type: module } }
  dependencies:
    - core/jquery
    - core/once
    - core/drupal
    - fpdi_print/ace
    - fpdi_print/pdf.js
    - fpdi_print/js-yaml
    - fpdi_print/jquery-ui
    - fpdi_print/default
